Limerence
Data sources

Update Data Source

Update an existing data source configuration

PATCH
/data-sources/{id}

Update an existing data source configuration

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/data-sources/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "connectionStatus": null,  "createdAt": "string",  "database": null,  "datasets": null,  "filePath": null,  "fileSize": null,  "host": null,  "id": "string",  "lastError": null,  "lastTestedAt": null,  "name": "string",  "originalFileName": null,  "port": null,  "projectId": null,  "ssl": true,  "teamId": "string",  "type": "SQLITE",  "updatedAt": "string",  "username": null}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}